Package org.snpeff.interval

# Enum Class Variant.VariantType

java.lang.Object
java.lang.Enum<Variant.VariantType>
org.snpeff.interval.Variant.VariantType

All Implemented Interfaces:
  `Serializable`, `Comparable<Variant.VariantType>`, `Constable`

Enclosing class:
  `Variant`

public static enum Variant.VariantType extends Enum<Variant.VariantType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BND`
`CNV`
`DEL`
`DUP`
`INS`
`INTERVAL`
`INV`
`MIXED`
`MNP`
`SNP`

## Method Summary

Modifier and Type
Method
Description
`static Variant.VariantType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Variant.VariantType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SNP

public static final Variant.VariantType SNP

### MNP

public static final Variant.VariantType MNP

### INS

public static final Variant.VariantType INS

### DEL

public static final Variant.VariantType DEL

### MIXED

public static final Variant.VariantType MIXED

### INV

public static final Variant.VariantType INV

### DUP

public static final Variant.VariantType DUP

### CNV

public static final Variant.VariantType CNV

### BND

public static final Variant.VariantType BND

### INTERVAL

public static final Variant.VariantType INTERVAL

## Method Details

### values

public static Variant.VariantType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Variant.VariantType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null